dim {CALIB} | R Documentation

## Retrieve the Dimensions of an RGList_CALIB or SpikeList object

### Description

Retrieve the number of rows (genes) and columns (arrays) for an RGList_CALIB or SpikeList

### Usage

     ## S3 method for class 'RGList_CALIB':
     dim(x)
     ## S3 method for class 'RGList_CALIB':
     length(x)

### Arguments

`x` | an object of class `RGList_CALIB` or `SpikeList`.

### Details

Microarray data objects share many analogies with ordinary matrices in which the rows correspond to spots or genes and the columns to arrays. These methods allow one to extract the size of microarray data objects in the same way that one would do for ordinary matrices.

A consequence is that row and column commands `nrow(x)`, `ncol(x)` and so on also work.

### Value

Numeric vector of length 2. The first element is the number of rows(genes) and the second is the number of columns(arrays).

### Author(s)

Hui Zhao

### References

`dim` in limma package

### See Also

`dim` in the base package

`dim` in the limma package

### Examples

    # for RGList_CALIB
    R <- G <- matrix(1:8,4,2)
    rownames(R) <- rownames(G) <- c("g1","g2","g3","g4")
    colnames(R) <- colnames(G) <- c("a1","a2")
    RG <- new("RGList_CALIB",list(R=R,G=G))

    dim(RG)

    # for SpikeList
    SR <- SG <- matrix(1:8,4,2)
    rownames(SR) <- rownames(SG) <- c("s1","s2","s3","s4")
    colnames(SR) <- colnames(SG) <- c("a1","a2")
    spike <- new("SpikeList",list(R=SR,G=SG))

    dim(spike)

[Package CALIB version 1.10.0 Index]